<?php

namespace Comitium5\DesignerBundle\Model\Interfaces;

/**
 * Interface UnknownInversedRelationsInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces
 */
interface UnknownInversedRelationsInterface
{
    /**
     * @return string
     */
    public function getOrmRelationName();

    /**
     * @return string
     */
    public function getOrmRelationQueryPropertyName();

    /**
     * @return array
     */
    public function getUnknownInversedRelations()/*: array*/;

    /**
     * @param array $ids
     * @param int $mode
     * @return mixed
     */
    public function getRelations(array $ids, $mode = 0);
}
